<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class CustomerPoMaster extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'plant_id',
		'item_id',
        'customer_po',
        'customer_name',
        'quantity',
        'created_at',
		'updated_at',
		'created_by',
    ];

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }

    public function item(): BelongsTo
    {
        return $this->belongsTo(Item::class);
    }
}
